---
name: Apollo
version: 1.0.0
description: "Apollo.io API for people and company enrichment, prospecting, and sales intelligence"
homepage: https://api.apollo.io/api/v1
metadata: {"seren":{"category":"integration","publisher_slug":"apollo","api_base":"https://api.serendb.com"}}
---

# Apollo

Apollo.io API for people and company enrichment, prospecting, and sales intelligence

## API Endpoints

### POST `/mixed_people/api_search`

Search for people by criteria

**Example:**

```bash
curl -X POST https://api.serendb.com/publishers/apollo/mixed_people/api_search \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### POST `/people/match`

Enrich a single person record

**Example:**

```bash
curl -X POST https://api.serendb.com/publishers/apollo/people/match \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### POST `/people/bulk_match`

Bulk enrich people records

**Example:**

```bash
curl -X POST https://api.serendb.com/publishers/apollo/people/bulk_match \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### GET `/organizations/{id}`

Get organization details

**Example:**

```bash
curl -X GET https://api.serendb.com/publishers/apollo/organizations/{id} \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

### POST `/organizations/bulk_match`

Bulk enrich organizations

**Example:**

```bash
curl -X POST https://api.serendb.com/publishers/apollo/organizations/bulk_match \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### POST `/organizations/search`

Search for organizations

**Example:**

```bash
curl -X POST https://api.serendb.com/publishers/apollo/organizations/search \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### POST `/news/search`

Search news articles

**Example:**

```bash
curl -X POST https://api.serendb.com/publishers/apollo/news/search \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

## MCP Tools

This API publisher also supports MCP (Model Context Protocol) access. Each API endpoint is available as an MCP tool.

### Available Tools

- `post_mixed_people_api_search`: Search for people by criteria
- `post_people_match`: Enrich a single person record
- `post_people_bulk_match`: Bulk enrich people records
- `get_organizations_by_id`: Get organization details
- `post_organizations_bulk_match`: Bulk enrich organizations
- `post_organizations_search`: Search for organizations
- `post_news_search`: Search news articles

### Introspection

```bash
# List tools
curl https://api.serendb.com/publishers/apollo/_mcp/tools \
  -H "Authorization: Bearer $SEREN_API_KEY"

# Call a tool
curl -X POST https://api.serendb.com/publishers/apollo/_mcp/tools/{tool_name} \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"body": {"key": "value"}}'
```

## Pricing

**Pricing Model:** per_request

- Price per request: $0.04000000

**Minimum charge:** $0.00010000

---

## Need Help?

- Seren Docs: https://docs.serendb.com
- Publisher: Apollo.io API for people and company enrichment, prospecting, and sales intelligence
